VERSION 5.00
Begin VB.Form frm_kegvoll 
   Caption         =   "Kegelwinkel halbieren in PC-DMIS"
   ClientHeight    =   6192
   ClientLeft      =   1068
   ClientTop       =   1464
   ClientWidth     =   5724
   Icon            =   "frm_keg.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6192
   ScaleWidth      =   5724
   Begin VB.CommandButton cmd_Lesen 
      Caption         =   "Elemente aus Messprogramm lesen"
      Height          =   732
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   2052
   End
   Begin VB.ListBox List1 
      Height          =   2352
      Left            =   3120
      TabIndex        =   6
      Top             =   120
      Width           =   2292
   End
   Begin VB.TextBox txt_Merkmalname 
      Height          =   288
      Left            =   3120
      TabIndex        =   4
      ToolTipText     =   "Name der Auswertung im Messprogramm"
      Top             =   4200
      Width           =   1572
   End
   Begin VB.TextBox txt_theoname 
      Height          =   288
      Left            =   3120
      TabIndex        =   2
      ToolTipText     =   "Beliebiger Name. Wird neu fr Sie angelegt"
      Top             =   3720
      Width           =   1572
   End
   Begin VB.CommandButton cmd_eintr 
      Caption         =   "Befehle in das Messprogramm eintragen"
      Enabled         =   0   'False
      Height          =   732
      Left            =   120
      TabIndex        =   0
      Top             =   1080
      Width           =   2052
   End
   Begin VB.Frame Frame1 
      Caption         =   "Merkmal (Auswertung)"
      Height          =   1092
      Left            =   120
      TabIndex        =   8
      Top             =   2520
      Width           =   5292
      Begin VB.TextBox txt_MTOL 
         Height          =   288
         Left            =   3120
         TabIndex        =   14
         Text            =   "0"
         Top             =   600
         Width           =   852
      End
      Begin VB.TextBox txt_PTOL 
         Height          =   288
         Left            =   3120
         TabIndex        =   13
         Text            =   "0"
         Top             =   240
         Width           =   852
      End
      Begin VB.TextBox txt_Nennwert 
         Height          =   288
         Left            =   1200
         TabIndex        =   10
         Text            =   "0"
         Top             =   480
         Width           =   972
      End
      Begin VB.Label Label6 
         Caption         =   "-Tol"
         Height          =   252
         Left            =   2520
         TabIndex        =   12
         Top             =   600
         Width           =   612
      End
      Begin VB.Label Label5 
         Caption         =   "+Tol"
         Height          =   252
         Left            =   2520
         TabIndex        =   11
         Top             =   240
         Width           =   612
      End
      Begin VB.Label Label1 
         Caption         =   "Nennwert des Halbkegels"
         Height          =   492
         Left            =   120
         TabIndex        =   9
         Top             =   360
         Width           =   1092
      End
   End
   Begin VB.Label Label4 
      Caption         =   $"frm_keg.frx":44B2
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   1332
      Left            =   120
      TabIndex        =   5
      Top             =   4680
      Width           =   4572
   End
   Begin VB.Label Label3 
      Caption         =   "Name des Merkmals"
      Height          =   252
      Left            =   120
      TabIndex        =   3
      Top             =   4200
      Width           =   2772
   End
   Begin VB.Label Label2 
      Caption         =   "Name des theoretischen Elementes"
      Height          =   192
      Left            =   120
      TabIndex        =   1
      Top             =   3720
      Width           =   2772
   End
End
Attribute VB_Name = "frm_kegvoll"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmd_eintr_Click()

  If Element = "" Or txt_theoname = "" Or txt_Merkmalname = "" Then
    MsgBox ("Bitte Element auswhlen und die Textfelder mit Informationen fllen"), vbCritical
  Else
    Call Main
  End If
  
End Sub

Private Sub cmd_Lesen_Click()
  Dim Applic As Object
  Set Applic = CreateObject("PCDLRN.Application")
  Dim Part As Object
  Set Part = Applic.ActivePartProgram
  Dim Cmds As Object
  Set Cmds = Part.Commands
  Dim Cmd As Object
  Dim FeatureCmd As Object
   
  Dim Bezeichnung As String
  List1.Clear
  
  For Each Cmd In Cmds
    If Cmd.IsFeature Then
      Set FeatureCmd = Cmd.FeatureCommand
      Bezeichnung = FeatureCmd.ID
      If Not Bezeichnung = "" Then
       If Cmd.Type = 615 Or Cmd.Type = 205 Or Cmd.Type >= 551 And Cmd.Type <= 599 Then
        List1.AddItem (Bezeichnung)
       End If
      End If
    End If
  Next Cmd

If List1.ListCount > 0 Then
  cmd_eintr.Enabled = True
End If

End Sub

Private Sub Form_Load()

  Me.Caption = "Kegelwinkel PC-DMIS  V" & App.Major & "." & App.Minor & "." & App.Revision
  
  Me.Left = GetSetting(App.Title, "Settings", "MainLeft", 1000)
  Me.Top = GetSetting(App.Title, "Settings", "MainTop", 1000)
  Me.txt_theoname = GetSetting(App.Title, "Settings", "Theoname", "")
  Me.txt_Merkmalname = GetSetting(App.Title, "Settings", "Merkmalname", "")
  Me.txt_Nennwert = GetSetting(App.Title, "Settings", "Nennwert", "")
  Me.txt_PTOL = GetSetting(App.Title, "Settings", "PTOL", "")
  Me.txt_MTOL = GetSetting(App.Title, "Settings", "MTOL", "")
  
End Sub

Private Sub Form_Unload(Cancel As Integer)

  SaveSetting App.Title, "Settings", "MainLeft", Me.Left
  SaveSetting App.Title, "Settings", "MainTop", Me.Top
  SaveSetting App.Title, "Settings", "MainWidth", Me.Width
  SaveSetting App.Title, "Settings", "MainHeight", Me.Height
  SaveSetting App.Title, "Settings", "Theoname", Me.txt_theoname
  SaveSetting App.Title, "Settings", "Merkmalname", Me.txt_Merkmalname
  SaveSetting App.Title, "Settings", "Nennwert", Me.txt_Nennwert
  SaveSetting App.Title, "Settings", "PTOL", Me.txt_PTOL
  SaveSetting App.Title, "Settings", "MTOL", Me.txt_MTOL
  
End Sub

Private Sub List1_Click()
  Element = Trim(List1.Text)
End Sub

Private Sub txt_MTOL_Change()
If Not IsNumeric(txt_MTOL) Then
  If Not Trim(txt_MTOL.Text) = "-" Xor Trim(txt_MTOL.Text) = "." Xor Trim(txt_MTOL.Text) = "-." Then
    txt_MTOL = 0
  End If
End If
End Sub

Private Sub txt_Nennwert_Change()
If Not IsNumeric(txt_Nennwert) Then
  If Not txt_Nennwert.Text = "-" Xor txt_Nennwert.Text = "." Xor txt_Nennwert.Text = "-." Then
   txt_Nennwert = 0
  End If
End If
End Sub

Private Sub txt_PTOL_Change()
If Not IsNumeric(txt_PTOL) Then
  If Not txt_PTOL.Text = "-" Xor txt_PTOL.Text = "." Xor txt_PTOL.Text = "-." Then
    txt_PTOL = 0
  End If
End If
End Sub
